diff --git a/tcl/pd_bindings.tcl b/tcl/pd_bindings.tcl
index 2053f0e..eeeedc5 100644
--- a/tcl/pd_bindings.tcl
+++ b/tcl/pd_bindings.tcl
@@ -62,9 +62,9 @@ proc ::pd_bindings::global_bindings {} {
     bind all <$::modifier-Key-period> {pdsend "pd dsp 0"}
     bind all <$::modifier-greater>    {menu_raisenextwindow}
     bind all <$::modifier-less>       {menu_raisepreviouswindow}
-    bind all <$::modifier-Key-plus>    {menu_send_float %W zoom 2}
-    bind all <$::modifier-Key-minus>   {menu_send_float %W zoom 1}
-    bind all <$::modifier-Key-KP_Add>  {menu_send_float %W zoom 2}
+    bind all <$::modifier-Key-equal>  {menu_send_float %W zoom 2}
+    bind all <$::modifier-Key-minus>  {menu_send_float %W zoom 1}
+    bind all <$::modifier-Key-KP_Equal>      {menu_send_float %W zoom 2}
     bind all <$::modifier-Key-KP_Subtract>   {menu_send_float %W zoom 1}
 
     # annoying, but Tk's bind needs uppercase letter to get the Shift
diff --git a/tcl/pd_menus.tcl b/tcl/pd_menus.tcl
index e678c96..6535efb 100644
--- a/tcl/pd_menus.tcl
+++ b/tcl/pd_menus.tcl
@@ -174,9 +174,9 @@ proc ::pd_menus::build_edit_menu {mymenu} {
         $mymenu add command -label [_ "Font"] \
             -command {menu_font_dialog}
     }
-    $mymenu add command -label [_ "Zoom In"] -accelerator "$accelerator+'+'" \
+    $mymenu add command -label [_ "Zoom In"] -accelerator "$accelerator++" \
         -command {menu_send_float $::focused_window zoom 2}
-    $mymenu add command -label [_ "Zoom Out"] -accelerator "$accelerator+'-'" \
+    $mymenu add command -label [_ "Zoom Out"] -accelerator "$accelerator+-" \
         -command {menu_send_float $::focused_window zoom 1}
     $mymenu add command -label [_ "Tidy Up"] \
         -command {menu_send $::focused_window tidy}
